Noitom Hi5 Unity SDK: HI5.HI5_DataTransform Class Reference

| Noitom Hi5 Unity SDK Hi5_Unity_SDK_API_1_0_0_655_17 The SDK for Using Noitom Hi5 Glove in Unity Engine.

Static Public Member Functions | List of all members
HI5.HI5_DataTransform Class Reference

Transform data among Unity, Hi5 and HTC VIVE. More...

## Static Public Member Functions

static Vector3 | ToUnityPosition (Vector3 pos)
| Transform received HI5 position data to Unity position data. More...
static Vector3 | ToUnityEulerAngles (Vector3 eulerAngles)
| Transform received HI5 rotation data in euler angles to Unity euler angles. More...
static void | PushOpticalData (string serialNumber, OPTDeviceType deviceType, Vector3 pos, Quaternion rot)
| Push received optical devices data into Hi5 data stream. More...

## Detailed Description

Transform data among Unity, Hi5 and HTC VIVE.

## Member Function Documentation

## ◆ PushOpticalData()

static void HI5.HI5_DataTransform.PushOpticalData | ( | string | serialNumber,
|  | OPTDeviceType | deviceType,
|  | Vector3 | pos,
|  | Quaternion | rot
| ) |  |

static

Push received optical devices data into Hi5 data stream.

Parameters

  serialNumber | The serial number of the device. Input by System.String.
  deviceType | The type of HI5.OPTDeviceType.
  pos | The position data of the device by UnityEngine.Vector3.
  rot | The rotation data of the device by UnityEngine.Quaternion.

## ◆ ToUnityEulerAngles()

static Vector3 HI5.HI5_DataTransform.ToUnityEulerAngles | ( | Vector3 | eulerAngles | ) |

static

Transform received HI5 rotation data in euler angles to Unity euler angles.

Parameters

  eulerAngles | Received Hi5 euler angles by UnityEngine.Vector3.

Returns
  Euler angles in Vector3.

## ◆ ToUnityPosition()

static Vector3 HI5.HI5_DataTransform.ToUnityPosition | ( | Vector3 | pos | ) |

static

Transform received HI5 position data to Unity position data.

Parameters

  pos | Received Hi5 position data by UnityEngine.Vector3.

Returns
  Position data in Vector3.